# Identity | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- Identity

## Index

### Constructors

- constructor

### Properties

- address
- defaultUsername
- keyPair
- profile
- usernames

### Methods

- appPrivateKey
- fetchNames
- makeAuthResponse
- profileUrl
- refresh

## Constructors

### constructor

- new Identity(__namedParameters: IdentityConstructorOptions): Identity

- - Defined in packages/keychain/src/identity.ts:35

  #### Parameters

  - ##### __namedParameters: IdentityConstructorOptions

  #### Returns Identity

## Properties

### address

address: string

- Defined in packages/keychain/src/identity.ts:32

### Optional defaultUsername

defaultUsername: string

- Defined in packages/keychain/src/identity.ts:33

### keyPair

keyPair: IdentityKeyPair

- Defined in packages/keychain/src/identity.ts:31

### Optional profile

profile: Profile

- Defined in packages/keychain/src/identity.ts:35

### usernames

usernames: string[]

- Defined in packages/keychain/src/identity.ts:34

## Methods

### appPrivateKey

- appPrivateKey(appDomain: string): string

- - Defined in packages/keychain/src/identity.ts:115

  #### Parameters

  - ##### appDomain: string

  #### Returns string

### fetchNames

- fetchNames(): Promise<string[]>

- - Defined in packages/keychain/src/identity.ts:135

  #### Returns Promise<string[]>

### makeAuthResponse

- makeAuthResponse(__namedParameters: { appDomain: string; gaiaUrl: string; scopes?: string[]; stxAddress?: string; transitPublicKey: string }): Promise<string>

- - Defined in packages/keychain/src/identity.ts:51

  #### Parameters

  - ##### __namedParameters: { appDomain: string; gaiaUrl: string; scopes?: string[]; stxAddress?: string; transitPublicKey: string }

    - ##### appDomain: string

    - ##### gaiaUrl: string

    - ##### Optional scopes?: string[]

    - ##### Optional stxAddress?: string

    - ##### transitPublicKey: string

  #### Returns Promise<string>

### profileUrl

- profileUrl(gaiaUrl: string): Promise<string>

- - Defined in packages/keychain/src/identity.ts:121

  #### Parameters

  - ##### gaiaUrl: string

  #### Returns Promise<string>

### refresh

- refresh(opts?: RefreshOptions): Promise<void>

- - Defined in packages/keychain/src/identity.ts:146

  Fetch existing information related to this identity, like username and profile information

  #### Parameters

  - ##### opts: RefreshOptions = ...

  #### Returns Promise<void>

Generated using TypeDoc